## golang-connectrpc-connect 1.12.0

=== debian/changelog ===
golang-connectrpc-connect (1.12.0-2) unstable; urgency=medium

  * Team Upload.
    + Source-only upload.
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 20 Nov 2023 17:06:27 +0530

golang-connectrpc-connect (1.12.0-1) unstable; urgency=medium

  * Initial release (Closes: #1055741)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Fri, 17 Nov 2023 14:00:16 +0530
