## golang-connectrpc-connect 1.13.0

=== debian/changelog ===
golang-connectrpc-connect (1.13.0-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 12:20:52 +1000

golang-connectrpc-connect (1.13.0-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 14:02:20 +1000

golang-connectrpc-connect (1.13.0-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 13:28:38 +0530

golang-connectrpc-connect (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0
  * Add new golang-golang-x-net-dev dependency
  * Add Built-Using to protoc-gen-connect-go
  * Exclude CI conformance tool from build and package

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sun, 17 Dec 2023 16:14:25 +0530
