=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: golang-connectrpc-connect
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -8,7 +9,8 @@
                dh-golang,
                golang-any,
                golang-github-google-go-cmp-dev,
-               golang-google-protobuf-dev
+               golang-google-protobuf-dev,
+               golang-golang-x-net-dev,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-connectrpc-connect
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-connectrpc-connect.git
@@ -21,6 +23,7 @@
 Multi-Arch: foreign
 Depends: golang-github-google-go-cmp-dev,
          golang-google-protobuf-dev,
+         golang-golang-x-net-dev,
          ${misc:Depends}
 Description: Go implementation of Connect (library)
  Connect is a slim library for building browser and gRPC-compatible HTTP APIs.
@@ -37,6 +40,7 @@
 
 Package: protoc-gen-connect-go
 Architecture: any
+Built-Using: ${misc:Built-Using}
 Depends: protobuf-compiler,
          ${misc:Depends},
          ${shlibs:Depends}
