## golang-connectrpc-connect 1.14.0

=== debian/changelog ===
golang-connectrpc-connect (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Update my maintenance email
  * Only run unit tests using -short (Closes: #1099186)
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Maytham Alsudany <maytham@debian.org>  Mon, 10 Mar 2025 15:34:20 +0800
