=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: golang-connectrpc-connect
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Maytham Alsudany <maytham@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -11,7 +10,7 @@
                golang-github-google-go-cmp-dev,
                golang-google-protobuf-dev,
                golang-golang-x-net-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-connectrpc-connect
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-connectrpc-connect.git
 Homepage: https://github.com/connectrpc/connect-go
